Bug 1117489 - [RFE] Implement Image Metadata to complete final steps of Template Versions/Instance Types functionality
Summary: [RFE] Implement Image Metadata to complete final steps of Template Versions/I...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Tomas Jelinek
QA Contact: Elad
URL: http://www.ovirt.org/Features/Instanc...
Whiteboard:
Depends On: 1106370 1200736 1200741
Blocks: 1117478 1302691
TreeView+ depends on / blocked
 
Reported: 2014-07-08 19:25 UTC by Scott Herold
Modified: 2016-03-09 20:35 UTC (History)
10 users (show)

Fixed In Version: ovirt-3-6-0-2
Doc Type: Enhancement
Doc Text:
Previously, creating a new virtual machine would open the 'Guide Me' window, which offered a link to 'Configure Virtual Disks'. Now, this functionality is integrated in the 'New Virtual Machine' and 'Edit Virtual Machine' windows, and the 'Guide Me' window no longer opens in a virtual machine context.
Clone Of:
Environment:
Last Closed: 2016-03-09 20:35:10 UTC
oVirt Team: Virt
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 35420 master MERGED webadmin: moved the remove disk related logic into the RemoveDiskModel Never
oVirt gerrit 36060 master MERGED core: Added a possibility to filter disks according explicitely set values Never
oVirt gerrit 36061 master MERGED webadmin: Changes in disk popup needed to reuse in VM popup Never
oVirt gerrit 36062 master MERGED userportal,webadmin: added possibility to have single selection attach disk widget Never
oVirt gerrit 36063 master MERGED frontend: created instance image widget Never
oVirt gerrit 36064 master MERGED webadmin: added the instance images widget to new/edit VM dialog Never

Description Scott Herold 2014-07-08 19:25:49 UTC
Finalize implementation of Instance Types by implementing image metadata for configuration settings of the VM surrounding the virtual disk image ie. Display Protocol, HA Settings, Number of Monitors, etc.  This is information that exists in the current construct of a Template, but currently does not exist within the constructs of a Template Version or Instance Type.

Comment 1 Tomas Jelinek 2015-03-11 10:06:41 UTC
ok, I was too excited to close this BZ - opening it again and adding new BZs on which this depends.

Comment 2 Michal Skrivanek 2015-05-27 08:11:54 UTC
ok, finally decided to track that separately within storage team

Comment 3 Tomas Jelinek 2015-08-13 11:42:01 UTC
This BZ tracks only the part which adds the add/edit/attach disks to the new/edit VM dialogs.

Comment 4 Elad 2015-08-19 06:57:56 UTC
Apart from the Webadmin change, no further test cases are needed here. 

Create/attach/edit disk done from the VM creation/edit prompt works as expected.

Tested using rhevm-3.6.0-0.11.master.el6.noarch

Comment 6 errata-xmlrpc 2016-03-09 20:35:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.